
package de.ivu.elect.presentation.wahlvorschlagsperson;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.wahlvorschlagsperson.form.AbstractWahlvorschlagsPersonViewFormBuilder;

@OnlineHilfeId(value = "450", mehrfachVergebenOk = true)
@Named(UnterzeichnerCreateView.COMPONENT_NAME)
@View(viewId = UnterzeichnerCreateView.VIEW_ID, useCase = UseCasePermission.WAHLVORSCHLAGS_PERSON_CREATE)
public class UnterzeichnerCreateView extends AbstractDynaFormWahlvorschlagsPersonCreateView {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "unterzeichnerCreateView";

  public static final String VIEW_ID = "/wahlvorschlagsperson/unterzeichner-create.xhtml";

  @Inject
  private transient UnterzeichnerCreateViewHelper unterzeichnerCreateViewHelper;

  public UnterzeichnerCreateView() {
    super();
  }

  @Override
  protected String getViewId() {
    return VIEW_ID;
  }

  @Override
  protected WahlvorschlagsPersonTyp getInitialierWahlvorschlagsPersonTyp(boolean individuelleWahlvorschlagsPerson) {
    return unterzeichnerCreateViewHelper.getInitialerWahlvorschlagsPersonTyp(individuelleWahlvorschlagsPerson);
  }

  @Override
  protected AbstractWahlvorschlagsPersonViewFormBuilder getWahlvorschlagsPersonViewFormBuilder() {
    return unterzeichnerCreateViewHelper.getViewFormBuilder();
  }

  @Override
  protected AbstractWahlvorschlagspersonCreateViewHelper getWahlvorschlagspersonCreateViewHelper() {
    return unterzeichnerCreateViewHelper;
  }
}
